#include<iostream>
#include<fstream>
#include<string>
#include<sstream>
#include"Picture.h"
using namespace std;


struct Address
{
	char line1[20];
	char line2[20];
	char city[20];
	char state[3];
	int zipCode;
	//67
};

struct Contact
{
	char name[20];
	char phoneNumber[10];
	char email[30];
	Address address;//67
	//127
};

istream& operator>>(istream& in, Contact& contact)
{
	cout << "Name: ";
	in >> contact.name;
	cout << "Phone Number: ";
	in >> contact.phoneNumber;
	cout << "email: ";
	in >> contact.email;

	//skipping addresss

	return in;
}

char getMenuSelection()
{
	char result;
	do
	{
		cout << "a) Add a contact" << endl;
		cout << "f) Find a contact" << endl;
		cout << "q) Quit" << endl;
		cin >> result;
		result = tolower(result);
	} while (result != 'a' && result != 'f' && result != 'q');

	return result;

}

void addContact()
{
	Contact contact;
	int x;
	//cin >> x;
	//cin.operator>>(x);
	cin >> contact;
	ofstream fout("contacts.dat", ios_base::binary | ios_base::app);
	fout.write((char*)&contact, 127);
	fout.close();
}

void findContact()
{
	ifstream fin("contacts.dat", ios_base::binary);
	char name[20];
	int i = 1;
	while (!fin.fail())
	{
		fin.read(name, 20);
		if (!fin.fail())
		{
			cout << i << ") " << name << endl;
			fin.seekg(107, ios_base::cur);
		}
		//cur, beg, end
		i++;
	}

	fin.close();
	//
}


void main()
{
	//CRUD operations
	//Create
	//Read
	//Update
	//Delete

	char operation;

	do
	{
		operation = getMenuSelection();
		switch (operation)
		{
			case'a':
				addContact();
				break;
			case 'f':
				findContact();
				break;
		}

	} while (operation != 'q');

}

